<?php

if (!defined('GNUSOCIAL')) { exit(1); }

class FileNotStoredLocallyException extends ServerException
{
    public $widgetOpts;
    public $scoped;

    public function __construct(File $file)
    {
        common_debug('Requested local URL for a file that is not stored locally with id=='._ve($file->getID()));
        parent::__construct(_('Requested local URL for a file that is not stored locally.'));
    }
}
